Bug 1655438 - ECC installation failure with error: SSL: SSLV3_ALERT_HANDSHAKE_FAILURE
Summary: ECC installation failure with error: SSL: SSLV3_ALERT_HANDSHAKE_FAILURE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: pki-core
Version: 8.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.2
Assignee: RHCS Maintainers
QA Contact: Asha Akkiangady
URL:
Whiteboard:
: 1692253 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-03 07:38 UTC by Amol K
Modified: 2020-04-28 15:46 UTC (History)
6 users (show)

Fixed In Version: pki-core-10.6-8020020200210191644.c7c3114f
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 15:45:17 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
Added CS.cfg file. (1.68 KB, text/plain)
2018-12-03 07:38 UTC, Amol K
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1644 0 None None None 2020-04-28 15:46:03 UTC

Description Amol K 2018-12-03 07:38:56 UTC
Created attachment 1510815 [details]
Added CS.cfg file.

Description of problem:
ECC setup failure on the RHEL 8


Version-Release number of selected component (if applicable):
10.6.7-3.module+el8+2144+b013656f

How reproducible:
Always

Steps to Reproduce:
1. Prepare ca installation script.
2. Install CA with ECC env.
3.

Actual results:
It fails with error message:
pkispawn      : ERROR    Server unreachable due to SSL error: [SSL: SSLV3_ALERT_HANDSHAKE_FAILURE] sslv3 alert handshake failure (_ssl.c:872)

Expected results:
ECC installation should be successful.

Additional info:
- Attached cs.cfg file
- Attached debug log

Comment 3 Deepak Punia 2019-03-25 13:44:08 UTC
[RHEL8.0] CA  ECC installation is also failing on Safenet LunaSA HSM machine. also same scenario is working fine for CA RSA installation on Safenet LunaSA HSM.
Also tested with endi's copr bits as well it's not working.

Comment 9 Asha Akkiangady 2019-03-29 00:44:41 UTC
*** Bug 1692253 has been marked as a duplicate of this bug. ***

Comment 10 Endi Sukma Dewata 2019-03-29 17:59:57 UTC
Apparently there is a missing functionality in JSS:
https://pagure.io/jss/issue/32

Comment 11 Endi Sukma Dewata 2020-02-10 05:19:56 UTC
The ECC installation should be working in PKI 10.8 (RHEL 8.2).

Comment 13 shalini 2020-02-20 09:41:21 UTC
This bugzilla has been tested on following build (RHEL8.2)

pki-ca-10.8.2-1.module+el8.2.0+5758+57f3761f.noarch


ECC installation is successful. Attached is the ca.cfg file used for ECC CA installation.
ECC installation also works in pipeline.

Comment 16 errata-xmlrpc 2020-04-28 15:45:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1644


Note You need to log in before you can comment on or make changes to this bug.